Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Oomph » Oomph issues with SimRel 2018-12 Milestone 1
Oomph issues with SimRel 2018-12 Milestone 1 [message #1796831] Fri, 19 October 2018 14:25 Go to next message
Patrick Bänziger is currently offline Patrick BänzigerFriend
Messages: 89
Registered: September 2011
Member
Hi all

We (the Scout project team) started testing the first milestone from the SimRel 2018-12: M1.

We've noticed in our tests that neither our demo project import with Oomph does not work for the new stream (for M1) or old stream (from 2018-09). It worked perfectly in the final 2018-09 release, so we thought we'd post this feedback to give you a heads up in case this is a regression.
If this isn't the proper forum, let me know where to post this feedback.

The error is as follows:

ERROR: org.eclipse.equinox.p2.director code=0 Software being installed: artificial_root 1.0.0.v1539954035161
  ERROR: org.eclipse.equinox.p2.director code=0 Missing requirement: Oomph Setup Git 1.9.0.v20171221-1140 (org.eclipse.oomph.setup.git 1.9.0.v20171221-1140) requires 'osgi.bundle; org.eclipse.egit.core [2.0.0,5.0.0)' but it could not be found
  ERROR: org.eclipse.equinox.p2.director code=1 Cannot satisfy dependency:
    ERROR: org.eclipse.equinox.p2.director code=0 From: artificial_root 1.0.0.v1539954035161
    ERROR: org.eclipse.equinox.p2.director code=0 To: org.eclipse.equinox.p2.iu; org.eclipse.oomph.setup.git.feature.group 0.0.0
  ERROR: org.eclipse.equinox.p2.director code=1 Cannot satisfy dependency:
    ERROR: org.eclipse.equinox.p2.director code=0 From: Oomph Setup Git 1.9.0.v20171221-1140 (org.eclipse.oomph.setup.git.feature.group 1.9.0.v20171221-1140)
    ERROR: org.eclipse.equinox.p2.director code=0 To: org.eclipse.equinox.p2.iu; org.eclipse.oomph.setup.git [1.9.0.v20171221-1140,1.9.0.v20171221-1140]



Our setup file is here: https://git.eclipse.org/c/scout/oomph.git/plain/Scout.setup

Executed:
Project: Scout Demo App ("scout.demo")
Streams: SimRel 2018-12 Milestone 1 ("features/version/8.0.0.022_Simrel_2018_12_M1") or SimRel 2018-09 ("features/version/8.0.0.021_Simrel_2018_09")


Regards,
Patrick
Re: Oomph issues with SimRel 2018-12 Milestone 1 [message #1796834 is a reply to message #1796831] Fri, 19 October 2018 15:39 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 30441
Registered: July 2009
Senior Member
Likely EGit did yet another major version increment. It tempts a guy to eliminate the upper bound completely, though I suppose something could be broken (although none of the previous major increments have broken anything). Please open a Bugzilla.
Re: Oomph issues with SimRel 2018-12 Milestone 1 [message #1796836 is a reply to message #1796834] Fri, 19 October 2018 15:53 Go to previous message
Patrick Bänziger is currently offline Patrick BänzigerFriend
Messages: 89
Registered: September 2011
Member
Thanks for your reply.
Bug created: https://bugs.eclipse.org/bugs/show_bug.cgi?id=540321

Looks like your guess is correct, the feature versions of egit / jgit are now 5.1.0.
Previous Topic:Enabling shared bundle pool in standalone installations
Next Topic:Targlets and p2 profiles
Goto Forum:
  


Current Time: Mon Sep 16 09:20:23 GMT 2019

Powered by FUDForum. Page generated in 0.02676 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top